Skip to main content
GET
/
v1
/
balances
List
curl --request GET \
  --url https://{defaultHost}/v1/balances \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/balances"
  },
  "data": [
    {
      "id": "ddcd8dd1-44c4-4ad2-8778-caba46768b41",
      "object": "balance",
      "amount": 0,
      "currency": "usd",
      "customer": "cf28304f-0a8d-40cb-8039-757b37e5a79f",
      "created_at": 1778010859,
      "updated_at": 1778010859
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

currency[]
string[]

Only return objects that have the given currencies.

customer_ids[]
string[]

Only return objects that belong to the given customers.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.